View Issue Details

IDProjectCategoryView StatusLast Update
0003906SymmetricDSNew Featurepublic2019-04-23 11:41
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.1 
Target Version3.10.1Fixed in Version3.10.1 
Summary0003906: HBase support as a load only node
DescriptionHBase can now be selected as a target node to load changes into. This does require the phoenix driver to be downloaded and added to the SymmetricDS /lib folder.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 29a7333f

2019-04-09 10:04:37

josh-a-hicks

Details Diff
0003906: HBase support as a load only node
0003906
mod - symmetric-assemble/src/asciidoc/appendix/databases.ad Diff File
add - symmetric-assemble/src/asciidoc/appendix/hbase.ad Diff File
mod - symmetric-client/build.gradle Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/DatabaseNamesConstants.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/DdlBuilderFactory.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/DmlStatementFactory.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/platform/hbase/HbaseDdlBuilder.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/platform/hbase/HbaseDmlStatement.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/JdbcDatabasePlatformFactory.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/hbase/HbasePlatform.java Diff File

Issue History

Date Modified Username Field Change
2019-04-09 09:56 josh-a-hicks New Issue
2019-04-09 09:56 josh-a-hicks Status new => assigned
2019-04-09 09:56 josh-a-hicks Assigned To => josh-a-hicks
2019-04-09 12:00 josh-a-hicks Changeset attached => SymmetricDS 3.10 29a7333f
2019-04-17 09:54 josh-a-hicks Status assigned => resolved
2019-04-17 09:54 josh-a-hicks Resolution open => fixed
2019-04-17 09:54 josh-a-hicks Fixed in Version => 3.10.1
2019-04-23 11:41 elong Status resolved => closed